<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.reflectionclass.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'reflectionclass.marklazyobjectasinitialized.php',
    1 => 'ReflectionClass::markLazyObjectAsInitialized',
  ),
  'up' => 
  array (
    0 => 'class.reflectionclass.php',
    1 => 'ReflectionClass',
  ),
  'prev' => 
  array (
    0 => 'reflectionclass.isuserdefined.php',
    1 => 'ReflectionClass::isUserDefined',
  ),
  'next' => 
  array (
    0 => 'reflectionclass.newinstance.php',
    1 => 'ReflectionClass::newInstance',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/reflection/reflectionclass/marklazyobjectasinitialized.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="reflectionclass.marklazyobjectasinitialized" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ReflectionClass::markLazyObjectAsInitialized</h1>
  <p class="verinfo">(PHP 8 &gt;= 8.4.0)</p><p class="refpurpose"><span class="refname">ReflectionClass::markLazyObjectAsInitialized</span> &mdash; <span class="dc-title">Marca um objeto lento como inicializado sem chamar o inicializador ou a fábrica</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-reflectionclass.marklazyobjectasinitialized-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>ReflectionClass::markLazyObjectAsInitialized</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.object.php" class="type object">object</a></span> <code class="parameter">$object</code></span>): <span class="type"><a href="language.types.object.php" class="type object">object</a></span></div>

  <p class="simpara">
   Marca um objeto lento como inicializado sem chamar o inicializador ou
   a fábrica. Não tem efeito se <code class="parameter">object</code> não for lento ou
   se já tiver sido inicializado.
  </p>
  <p class="simpara">
   O efeito de chamar este método é o mesmo descrito para Objetos Fantasma
   (independentemente da estratégia de lentidão do <code class="parameter">object</code>) na
   <a href="language.oop5.lazy-objects.php#language.oop5.lazy-objects.initialization-sequence" class="link">sequência de
   inicialização</a>, exceto que o inicializador não é chamado.
   Depois disso, o objeto é indistinguível de um objeto que nunca foi
   lento e foi criado com
   <span class="methodname"><a href="reflectionclass.newinstancewithoutconstructor.php" class="methodname">ReflectionClass::newInstanceWithoutConstructor()</a></span>,
   exceto pelo valor das propriedades que já foram inicializadas com
   <span class="methodname"><a href="reflectionproperty.setrawvaluewithoutlazyinitialization.php" class="methodname">ReflectionProperty::setRawValueWithoutLazyInitialization()</a></span>
   ou <span class="methodname"><a href="reflectionproperty.skiplazyinitialization.php" class="methodname">ReflectionProperty::skipLazyInitialization()</a></span>.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-reflectionclass.marklazyobjectasinitialized-parameters">
  <h3 class="title">Parâmetros</h3>
  <dl>
   
    <dt><code class="parameter">object</code></dt>
    <dd>
     <span class="simpara">
      O objeto a ser marcado como inicializado.
     </span>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-reflectionclass.marklazyobjectasinitialized-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="simpara">
   Retorna <code class="parameter">object</code>.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-reflectionclass.marklazyobjectasinitialized-examples">
  <h3 class="title">Exemplos</h3>
  <div class="example" id="example-5411">
   <p><strong>Exemplo #1 Marcando um objeto lento não inicializado como inicializado</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">Example<br /></span><span style="color: #007700">{<br />    public </span><span style="color: #0000BB">string $prop1</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop2</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop3 </span><span style="color: #007700">= </span><span style="color: #DD0000">'valor padrão'</span><span style="color: #007700">;<br />}<br /><br /></span><span style="color: #0000BB">$reflector </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionClass</span><span style="color: #007700">(</span><span style="color: #0000BB">Example</span><span style="color: #007700">::class);<br /><br /></span><span style="color: #0000BB">$object </span><span style="color: #007700">= </span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">newLazyGhost</span><span style="color: #007700">(function (</span><span style="color: #0000BB">$object</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"Inicializador acionado\n"</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop1 </span><span style="color: #007700">= </span><span style="color: #DD0000">'inicializado'</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getProperty</span><span style="color: #007700">(</span><span style="color: #DD0000">'prop1'</span><span style="color: #007700">)<br />          -&gt;</span><span style="color: #0000BB">setRawValueWithoutLazyInitialization</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">, </span><span style="color: #DD0000">'valor de prop1'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">markLazyObjectAsInitialized</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">lazy ghost object(Example)#3 (1) {
  [&quot;prop1&quot;]=&gt;
  string(14) &quot;valor de prop1&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  uninitialized(string)
}
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(14) &quot;valor de prop1&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(12) &quot;valor padrão&quot;
}</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-5412">
   <p><strong>Exemplo #2 Marcando um objeto inicializado como inicializado</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">Example<br /></span><span style="color: #007700">{<br />    public </span><span style="color: #0000BB">string $prop1</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop2</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop3 </span><span style="color: #007700">= </span><span style="color: #DD0000">'valor padrão'</span><span style="color: #007700">;<br />}<br /><br /></span><span style="color: #0000BB">$reflector </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionClass</span><span style="color: #007700">(</span><span style="color: #0000BB">Example</span><span style="color: #007700">::class);<br /><br /></span><span style="color: #0000BB">$object </span><span style="color: #007700">= </span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">newLazyGhost</span><span style="color: #007700">(function (</span><span style="color: #0000BB">$object</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"Inicializador acionado\n"</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop1 </span><span style="color: #007700">= </span><span style="color: #DD0000">'inicializado'</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getProperty</span><span style="color: #007700">(</span><span style="color: #DD0000">'prop1'</span><span style="color: #007700">)<br />          -&gt;</span><span style="color: #0000BB">setRawValueWithoutLazyInitialization</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">, </span><span style="color: #DD0000">'valor de prop1'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop3</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">markLazyObjectAsInitialized</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>O exemplo acima produzirá:</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Inicializador acionado
string(13) &quot;valor padrão&quot;
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;inicializado&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(13) &quot;valor padrão&quot;
}
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;inicializado&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(13) &quot;valor padrão&quot;
}</pre>
</div>
   </div>
  </div>
 </div>


 <div class="refsect1 seealso" id="refsect1-reflectionclass.marklazyobjectasinitialized-seealso">
  <h3 class="title">Veja Também</h3>
  <ul class="simplelist">
   <li><a href="language.oop5.lazy-objects.php" class="link">Objetos lentos</a></li>
   <li><span class="methodname"><a href="reflectionclass.newlazyghost.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::newLazyGhost()</a> - Cria uma nova inst&acirc;ncia de fantasma lento</span></li>
   <li><span class="methodname"><a href="reflectionclass.initializelazyobject.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::initializeLazyObject()</a> - For&ccedil;a a inicializa&ccedil;&atilde;o de um objeto lento</span></li>
   <li><span class="methodname"><a href="reflectionclass.isuninitializedlazyobject.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::isUninitializedLazyObject()</a> - Verifica se um objeto &eacute; lento e n&atilde;o inicializado</span></li>
  </ul>
 </div>


</div><?php manual_footer($setup); ?>